ICU 70.1 70.1

Data Structures | Namespaces | Functions
locid.h File Reference

C++ API: Locale ID object. More...

`#include "unicode/utypes.h"`
`#include "unicode/bytestream.h"`
`#include "unicode/localpointer.h"`
`#include "unicode/strenum.h"`
`#include "unicode/stringpiece.h"`
`#include "unicode/uobject.h"`
`#include "unicode/putil.h"`
`#include "unicode/uloc.h"`

Go to the source code of this file.

## Data Structures
class | icu::Locale
| A `Locale` object represents a specific geographical, political, or cultural region. More...
class | icu::Locale::Iterator
| A Locale iterator interface similar to a Java Iterator<Locale>. More...
class | icu::Locale::RangeIterator< Iter >
| A generic Locale iterator implementation over Locale input iterators. More...
class | icu::Locale::ConvertingIterator< Iter, Conv >
| A generic Locale iterator implementation over Locale input iterators. More...

## Namespaces
namespace | icu
| File coll.h.

## Functions
void | icu::locale_available_init ()

## Detailed Description

C++ API: Locale ID object.

Definition in file locid.h.